gnutls_audit_push_context(3)

NAME
gnutls_audit_push_context - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_audit_push_context(long context);

ARGUMENTS

long context
    an opaque context

DESCRIPTION
Push a new crypto-auditing context to the thread-local context stack. The call must match the following gnutls_audit_pop_context() call. This is useful for the applications that define their own probe points for application level protocols.

SINCE
3.8.11

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/